org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime

## Interface RuntimePackage.Literals

Enclosing interface:
  RuntimePackage

    public static interface RuntimePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated:

### Field Summary

Fields
`static EClass` `ETYPED_ELEMENT_EOBJECT_LIST_RESULT` The meta object literal for the '`ETyped Element EObject List Result`' class.
`static EReference` `ETYPED_ELEMENT_EOBJECT_LIST_RESULT__RESULT_LIST` The meta object literal for the 'Result List' reference list feature.
`static EClass` `ETYPED_ELEMENT_EOBJECT_RESULT` The meta object literal for the '`ETyped Element EObject Result`' class.
`static EReference` `ETYPED_ELEMENT_EOBJECT_RESULT__RESULT` The meta object literal for the 'Result' reference feature.
`static EClass` `ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT` The meta object literal for the '`ETyped Element Primitive Type List Result`' class.
`static EAttribute` `ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__RESULT_LIST` The meta object literal for the 'Result List' attribute list feature.
`static EClass` `ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT` The meta object literal for the '`ETyped Element Primitive Type Result`' class.
`static EAttribute` `ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__RESULT` The meta object literal for the 'Result' attribute feature.
`static EClass` `ETYPED_ELEMENT_RESULT` The meta object literal for the '`ETyped Element Result`' class.
`static EReference` `ETYPED_ELEMENT_RESULT__DERIVED_TYPED_ELEMENT` The meta object literal for the 'Derived Typed Element' reference feature.
`static EAttribute` `ETYPED_ELEMENT_RESULT__EXCEPTION` The meta object literal for the 'Exception' attribute feature.
`static EReference` `ETYPED_ELEMENT_RESULT__PARAMETER_VALUES` The meta object literal for the 'Parameter Values' containment reference list feature.
`static EReference` `ETYPED_ELEMENT_RESULT__SOURCE` The meta object literal for the 'Source' reference feature.
`static EDataType` `JAVA_EXCEPTION` The meta object literal for the 'Java Exception' data type.

### Field Detail

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT

    static final EClass ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT

The meta object literal for the '`ETyped Element Primitive Type Result`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.ETypedElementPrimitiveTypeResultImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.RuntimePackageImpl#getETypedElementPrimitiveTypeResult()`
Generated:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__RESULT

    static final EAttribute ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__RESULT

The meta object literal for the 'Result' attribute feature.

Generated:

#### ETYPED_ELEMENT_EOBJECT_RESULT

    static final EClass ETYPED_ELEMENT_EOBJECT_RESULT

The meta object literal for the '`ETyped Element EObject Result`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.ETypedElementEObjectResultImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.RuntimePackageImpl#getETypedElementEObjectResult()`
Generated:

#### ETYPED_ELEMENT_EOBJECT_RESULT__RESULT

    static final EReference ETYPED_ELEMENT_EOBJECT_RESULT__RESULT

The meta object literal for the 'Result' reference feature.

Generated:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT

    static final EClass ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT

The meta object literal for the '`ETyped Element Primitive Type List Result`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.ETypedElementPrimitiveTypeListResultImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.RuntimePackageImpl#getETypedElementPrimitiveTypeListResult()`
Generated:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__RESULT_LIST

    static final EAttribute ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__RESULT_LIST

The meta object literal for the 'Result List' attribute list feature.

Generated:

#### ETYPED_ELEMENT_EOBJECT_LIST_RESULT

    static final EClass ETYPED_ELEMENT_EOBJECT_LIST_RESULT

The meta object literal for the '`ETyped Element EObject List Result`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.ETypedElementEObjectListResultImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.RuntimePackageImpl#getETypedElementEObjectListResult()`
Generated:

#### ETYPED_ELEMENT_EOBJECT_LIST_RESULT__RESULT_LIST

    static final EReference ETYPED_ELEMENT_EOBJECT_LIST_RESULT__RESULT_LIST

The meta object literal for the 'Result List' reference list feature.

Generated:

#### ETYPED_ELEMENT_RESULT

    static final EClass ETYPED_ELEMENT_RESULT

The meta object literal for the '`ETyped Element Result`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.ETypedElementResultImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.RuntimePackageImpl#getETypedElementResult()`
Generated:

#### ETYPED_ELEMENT_RESULT__DERIVED_TYPED_ELEMENT

    static final EReference ETYPED_ELEMENT_RESULT__DERIVED_TYPED_ELEMENT

The meta object literal for the 'Derived Typed Element' reference feature.

Generated:

#### ETYPED_ELEMENT_RESULT__PARAMETER_VALUES

    static final EReference ETYPED_ELEMENT_RESULT__PARAMETER_VALUES

The meta object literal for the 'Parameter Values' containment reference list feature.

Generated:

#### ETYPED_ELEMENT_RESULT__SOURCE

    static final EReference ETYPED_ELEMENT_RESULT__SOURCE

The meta object literal for the 'Source' reference feature.

Generated:

#### ETYPED_ELEMENT_RESULT__EXCEPTION

    static final EAttribute ETYPED_ELEMENT_RESULT__EXCEPTION

The meta object literal for the 'Exception' attribute feature.

Generated:

#### JAVA_EXCEPTION

    static final EDataType JAVA_EXCEPTION

The meta object literal for the 'Java Exception' data type.

See Also:
  `Throwable`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.RuntimePackageImpl#getJavaException()`
Generated: